For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get Started
Docs & GuidesAPI Reference
Docs & GuidesAPI Reference
  • Authentication
    • API Authentication
  • API Reference
        • POSTCreate a metadata value
        • DELDelete a metadata value
        • POSTGenerate a composite slice summary
        • POSTGenerate a video description
        • POSTGenerate a video summary
        • POSTGenerate a video synopsis
        • GETList metadata values by type
        • POSTPredict composite slice format(s)
        • POSTPredict composite slice mood(s)
        • POSTPredict composite slice subject(s)
        • POSTPredict video format(s)
        • POSTPredict video genre(s)
        • POSTPredict video mood(s)
        • POSTPredict video subject(s)
        • PATCHUpdate a metadata value
Get Started
LogoLogo
API ReferenceVideo Narative MetadataVideo Narrative Metadata

Predict composite slice subject(s)

Beta
POST
https://api.coactive.ai/api/v0/video-narrative-metadata/datasets/:dataset_id/videos/:video_id/composite-slices/:composite_slice_id/subject
POST
/api/v0/video-narrative-metadata/datasets/:dataset_id/videos/:video_id/composite-slices/:composite_slice_id/subject
$curl -X POST https://api.coactive.ai/api/v0/video-narrative-metadata/datasets/dataset_id/videos/video_id/composite-slices/composite_slice_id/subject \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "composite_slice_context": "This is a scene from a film directed by Michael Mann in 1995, starring Al Pacino and Robert De Niro."
>}'
1{
2 "subjects": [
3 "Crime",
4 "Heist"
5 ]
6}

Predict composite slice subject(s).

Subject: The main topic or theme the content focuses on.

Was this page helpful?
Previous

Predict video format(s)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dataset_idstringRequiredformat: "uuid"
video_idstringRequiredformat: "uuid"
composite_slice_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
composite_slice_contextstring or nullOptional
Optional context about the composite slice

Response

Successful Response
subjectslist of strings
Predicted composite slice subjects

Errors

422
Unprocessable Entity Error